Api referenceRoutesCache

Clean prepared cache

Cleans cache material for a prepared manifest. Use this to remove obsolete resolved artifacts while keeping cache management inside the supervisor API instead of deleting launcher files directly.

POST
/cache:cleanup

Cleans cache material for a prepared manifest. Use this to remove obsolete resolved artifacts while keeping cache management inside the supervisor API instead of deleting launcher files directly.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://example.com/cache:cleanup" \  -H "Content-Type: application/json" \  -d '{    "manifest": "string"  }'
{  "manifest": "string",  "deleted": [    "string"  ],  "missing": [    "string"  ],  "status": "string"}
{  "code": "string",  "message": "string"}